<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    {% if hats %}
    <ul>
        {% for hat in hats %}
        <li>
            <strong>{{ hat.style_name }}</strong> ({{ hat.get_fabric_display }}) - {{ hat.color }}<br>
            <img src="{{ hat.picture_url }}" alt="{{ hat.style_name }}" style="width:100px;height:100px;"><br>
            Location: {{ hat.location_in_wardrobe }}
        </li>
        {% endfor %}
    </ul>
    {% else %}
    <p>No hats available.</p>
    {% endif %}

</body>
</html>
